std::invalid_argument Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::invalid_argument:
[legend]

## Public Member Functions

| invalid_argument (const char *) _GLIBCXX_TXN_SAFE
| invalid_argument (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Thrown to report invalid arguments to functions.

Definition at line 158 of file stdexcept.

The documentation for this class was generated from the following file:

- stdexcept